%global srcname productmd

Summary:        Library providing parsers for metadata related to OS installation
Name:           python-%{srcname}
Version:        1.36
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://github.com/release-engineering/productmd
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
ProductMD is a Python library providing parsers for metadata related to 
composes and installation media.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{srcname}
Python library providing parsers for metadata related to composes and 
installation media.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} ./setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS
%{python3_sitelib}/productmd/
%{python3_sitelib}/productmd-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Sep 22 2023 cunshunxia <cunshunxia@tencent.com> - 1.36-1
- Upgrade to version 1.36

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 20 2022 Cheng Xin <denisecheng@tencent.com> - 1.33-1
- package init.
